Permalink
Browse files

Target Go 1.8 final, update version to GopherJS 1.8-1.

  • Loading branch information...
1 parent d5c6ba6 commit 0ff5023f798422e0389990d6edff2b06e7861e4d @shurcooL shurcooL committed Dec 4, 2016
Showing with 6 additions and 6 deletions.
  1. +1 −1 circle.yml
  2. +1 −1 compiler/compiler.go
  3. +4 −4 compiler/version_check.go
View
@@ -6,7 +6,7 @@ machine:
dependencies:
pre:
- - cd /usr/local && sudo rm -rf go && curl https://storage.googleapis.com/golang/go1.7.linux-amd64.tar.gz | sudo tar -xz && sudo chmod a+w go/src/path/filepath
+ - cd /usr/local && sudo rm -rf go && curl https://storage.googleapis.com/golang/go1.8.linux-amd64.tar.gz | sudo tar -xz && sudo chmod a+w go/src/path/filepath
post:
- mv ./gopherjs $HOME/bin
- npm install --global node-gyp
@@ -17,7 +17,7 @@ import (
var sizes32 = &types.StdSizes{WordSize: 4, MaxAlign: 8}
var reservedKeywords = make(map[string]bool)
-var _ = ___GOPHERJS_REQUIRES_GO_VERSION_1_7___ // compile error on earlier Go versions
+var _ = ___GOPHERJS_REQUIRES_GO_VERSION_1_8___ // Compile error on other Go versions, because they're not supported.
func init() {
for _, keyword := range []string{"abstract", "arguments", "boolean", "break", "byte", "case", "catch", "char", "class", "const", "continue", "debugger", "default", "delete", "do", "double", "else", "enum", "eval", "export", "extends", "false", "final", "finally", "float", "for", "function", "goto", "if", "implements", "import", "in", "instanceof", "int", "interface", "let", "long", "native", "new", "null", "package", "private", "protected", "public", "return", "short", "static", "super", "switch", "synchronized", "this", "throw", "throws", "transient", "true", "try", "typeof", "undefined", "var", "void", "volatile", "while", "with", "yield"} {
@@ -1,9 +1,9 @@
-// +build !go1.8
-// +build go1.7
+// +build !go1.9
+// +build go1.8
package compiler
-const ___GOPHERJS_REQUIRES_GO_VERSION_1_7___ = true
+const ___GOPHERJS_REQUIRES_GO_VERSION_1_8___ = true
// Version is the GopherJS compiler version string.
-const Version = "1.7-1"
+const Version = "1.8-1"

0 comments on commit 0ff5023

Please sign in to comment.